subroutine F_Expr_Main(f_source_Main, fun_name)

character(132) f_source_Main
character(132) line, fun_name0, fun_name
character(1) TAB, sp


fun_name = ' ?'

open(11, file =f_source_Main, status ='old', form ='formatted', iostat =k_open)

if(k_open /=0) return

TAB =char( ichar("	") )
sp =char(32)


WH_DO: DO WHILE (.not.EOF(11))
read(11, '(a)') line

! Supress leading blanks (if any):
line =adjustl(line)

! Replace leading tab(s) by space(s):
i =0
100 i =i+1
if(line(i:i) ==TAB) then
line(i:i) =sp
else
goto 200
endif

goto 100

! Supress leading blanks:
200 line =adjustl(line)


if(line(1:1) =='!') cycle WH_DO

! Search in "line" for "call grafic(":
if1  =index( line, 'call grafic(' )

IF(if1 /=0) THEN
if2 =index(line, '('); ; if3 =index(line, ')');

if(if2 /=0 .and. if3 /=0) then
fun_name =trim(line(if2+1:if3-1))
exit wh_do

endif

ENDIF

ENDDO WH_DO

close(11)

END
